2020-04-04 00:56 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001908Spring engineUnit Scriptingpublic2011-05-04 18:42
ReporterSirMaverick 
Assigned Tozerver 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.81.2.1 
Target VersionFixed in Version0.82.7+git 
Summary0001908: SIGSEGV in UnitScript.cpp:232
DescriptionProgram received signal SIGSEGV, Segmentation fault.
0x087e09b6 in CUnitScript::Tick (this=0xf3bcb58, deltaTime=33) at /spring/spring/spring-git/rts/Sim/Units/COB/UnitScript.cpp:232
232 pieces[ai->piece]->updated = true;
(gdb) bt
#0 0x087e09b6 in CUnitScript::Tick (this=0xf3bcb58, deltaTime=33) at /spring/spring/spring-git/rts/Sim/Units/COB/UnitScript.cpp:232
#1 0x087df876 in CUnitScriptEngine::Tick (this=0x8c8008c, deltaTime=33) at /spring/spring/spring-git/rts/Sim/Units/COB/UnitScriptEngine.cpp:81
#2 0x08369967 in CGame::SimFrame (this=0xac9a67b8) at /spring/spring/spring-git/rts/Game/Game.cpp:3514
0000003 0x0836aff3 in CGame::ClientReadNet (this=0xac9a67b8) at /spring/spring/spring-git/rts/Game/Game.cpp:3805
0000004 0x08365eb6 in CGame::Update (this=0xac9a67b8) at /spring/spring/spring-git/rts/Game/Game.cpp:2788
0000005 0x0886e9e5 in SpringApp::Update (this=0xbffff510) at /spring/spring/spring-git/rts/System/SpringApp.cpp:862
#6 0x0886ed04 in SpringApp::Run (this=0xbffff510, argc=2, argv=0xbffff5e4) at /spring/spring/spring-git/rts/System/SpringApp.cpp:990
#7 0x0889a3f8 in Run (argc=2, argv=0xbffff5e4) at /spring/spring/spring-git/rts/System/Main.cpp:111
#8 0x0889a444 in main (argc=2, argv=0xbffff5e4) at /spring/spring/spring-git/rts/System/Main.cpp:127
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • ? file icon 20100429_233327_unnamed_0.81.2.sdf (618,531 bytes) 2010-04-30 00:55
  • txt file icon infolog.txt (21,336 bytes) 2010-05-13 17:08 -
    LogOutput initialized.
    Spring 0.81.2.1
    Build date/time: May  4 2010 20:23:03
    Available log subsystems: mapinfo, CollisionVolume, unit, ArchiveScanner, VFS-detail, VFS, Sound
    Enabled log subsystems: Sound
    Enable or disable log subsystems using the LogSubsystems configuration key
      or the SPRING_LOG_SUBSYSTEMS environment variable (both comma separated).
    using configuration source "/home/mav/.springrc"
    [CMyMath::Init] CPU SSE mask: 120, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  0
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    OS: Linux
    OS: 32bit native mode
    Using read-write data directory: /home/mav/.spring/
    Using read-only  data directory: /home/spring/spring/spring/install-0.81.2.1-7-g6b8bd33-RelWithDebInfo/bin/
    Using read-only  data directory: /home/mav/.spring/
    Using read-only  data directory: /home/spring/spring/spring/install-0.81.2.1-7-g6b8bd33-RelWithDebInfo/share/games/spring/
    Scanning: /home/spring/spring/spring/install-0.81.2.1-7-g6b8bd33-RelWithDebInfo/share/games/spring/base
    Scanning: /home/mav/.spring/maps
    Scanning: /home/mav/.spring/mods
    Scanning: /home/mav/.spring/packages
    Scanning: /home/mav/.spring/maps
    Scanning: /home/mav/.spring/mods
    Scanning: /home/mav/.spring/packages
    Video mode set to  1680 x 1004 / 32 bit
    [      0] SDL:  1.2.13
    [      0] GL:   3.2.0 NVIDIA 195.36.15
    [      0] GL:   NVIDIA Corporation
    [      0] GL:   GeForce 9800 GT/PCI/SSE2/3DNOW!
    [      0] GLEW: 1.5.3
    [      0] Joysticks found: 0
    [      0] Joystick 0 not found
    [      0] Loading startscript from: /home/mav/.spring//script.txt
    [      0] Connecting to 94.23.238.25:8466 using name [0K]SirMaverick
    [      0] Starting demo recording
    [      0] Using map LLTAComplexV2.smf
    [      0] Recording demo demos/20100513_164730_LLTAComplexV2_0.81.2.sdf
    [      0] Using script Commanders
    [      0] Using mod Complete Annihilation stable-7761
    [      0] Using mod archive 62d74045a11b5cc6d73ee9c7525595c5.sdp
    [      0] Loading client data: 76 ms
    [      0] User number 1 (team 0, allyteam 0)
    [      0] Loading console: 0 ms
    [      0] Sound: OpenAL info:
    [      0] Sound:   Vendor:     OpenAL Community
    [      0] Sound:   Version:    1.1 ALSOFT 1.11.753
    [      0] Sound:   Renderer:   OpenAL Soft
    [      0] Sound:   AL Extensions: AL_EXTX_buffer_sub_data AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_OFFSET AL_EXTX_sample_buffer_object AL_EXT_source_distance_model AL_LOKI_quadriphonic
    [      0] Sound:   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_disconnect ALC_EXT_EFX ALC_EXTX_thread_local_context
    [      0] Sound:   Device:     ALSA Software
    [      0] Sound:   Available Devices:  
    [      0] Sound:                       PulseAudio Software
    [      0] Sound:                       ALSA Software
    [      0] Sound:                       PortAudio Software
    [      0] Sound:  parsed 5 sounds from gamedata/sounds.lua
    [      0] Loading sounds: 4529 ms
    [      0] Camera and mouse: 42 ms
    [      0] Parsing unit icons
    [      0] Parsing definitions
    [      0] WARNING: removed blastwingmine unitDef, missing model file  (BLASTWING)
    [      0] WARNING: removed corjamt2 unitDef, missing model file  (CORJAMT)
    [      0] WARNING: removed corroach_mine unitDef, missing model file  (CORROACH)
    [      0] WARNING: removed the "blastwingmine" entry from the "concept_factory" build menu
    [      0] WARNING: removed the "corjamt2" entry from the "concept_con" build menu
    [      0] Loading all definitions:  0.534000
    [      0] Loading defs: 645 ms
    [      0] You are missing the "ARB_shadow_ambient" extension (this will probably make shadows darker than they should be)
    [      0] Loading map informations
    [      0] Loading map
    [      0] Loading Map
    [      0] Loading .smt tile-file "maps/LLTAComplexV2.smt"
    [      0] Loading 45981 tiles from file 1/1
    [      0] Reading tiles
    [      0] Reading tile map
    [      0] generating MipMaps: 12 ms
    [      0] Calculating smooth height mesh
    [      0] Calculating smooth mesh: 209 ms
    [      0] Creating projectile texture
    [      0] Number of damage types: 10
    [      0] Loading weapon definitions
    [      0] Could not load sound from def: newboom
    [      0] Could not load sound from def: newboom
    [      0] Could not load sound from def: newboom
    [      0] Could not load sound from def: newboom
    [      0] Loading unit definitions
    [      0] Loading feature definitions
    [      0] Creating unit textures
    [      0] Initializing map features
    [      0] Unknown map feature type pdrock1a		
    [      0] Unknown map feature type 
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Unknown feature named 'pdrock1a		'
    [      0] Reading estimate path costs
    [      0] Pathing data checksum: 0a4871de
    [      0] Loading LuaRules
    [      0] box ally2
    [      0] box ally3
    [      0] box ally4
    [      0] box ally5
    [      0] box ally6
    [      0] box ally7
    [      0] box ally8
    [      0] box ally9
    [      0] Jump Jet Defs error checking begining..
    [      0] .. Jump Jet Defs error checking complete
    [      0] Loading gadget: Lua unit script framework  <unit_script.lua>
    [      0]   Loading unit script: scripts/carrydrone.lua
    [      0]   Loading unit script: scripts/nanotower.lua
    [      0]   Loading unit script: scripts/blastwing.lua
    [      0]   Loading unit script: scripts/cafus.lua
    [      0]   Loading unit script: scripts/coravp.lua
    [      0]   Loading unit script: scripts/m-6.lua
    [      0]   Loading unit script: scripts/lotus.lua
    [      0]   Loading unit script: scripts/aegis.lua
    [      0]   Loading unit script: scripts/corroach.lua
    [      0]   Loading unit script: scripts/corsumo.lua
    [      0]   Loading unit script: scripts/cia.lua
    [      0]   Loading unit script: scripts/logheavymine.lua
    [      0] Doesn't count initialized
    [      0] LUARULES-DRAW  (GADGETS)
    [      0] box ally2
    [      0] box ally3
    [      0] box ally4
    [      0] box ally5
    [      0] box ally6
    [      0] box ally7
    [      0] box ally8
    [      0] box ally9
    [      0] Doesn't count initialized
    [      0] LUARULES-DRAW  (GADGETS)
    [      0] Loading LuaGaia
    [      0] Loading LuaUI
    [      0] This mod has locked LuaUI access
    [      0] Using LUAUI_DIRNAME = LuaUI/
    [      0] Reloaded ctrlpanel with: LuaUI/ctrlpanel.txt
    [      0] LuaUI: bound F11 to the widget selector
    [      0] LuaUI: bound CTRL+F11 to tweak mode
    [      0] Jump Jet Defs error checking begining..
    [      0] .. Jump Jet Defs error checking complete
    [      0] Loaded API widget:  Avatars             <api_avatars.lua>
    [      0] Loaded API widget:  Chili Framework     <api_chili.lua>
    [      0] Loaded API widget:  Lups                <lups_wrapper.lua>
    [      0] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [      0] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [      0] Loaded widget:  Voices              <snd_voices.lua>
    [      0] Loaded widget:  Noises              <snd_noises.lua>
    [      0] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [      0] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [      0] Loaded widget:  ResetState          <unit_resetstate.lua>
    [      0] Loaded widget:  Auto First Build Facing  <autofirstbuildfacing.lua>
    [      0] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [      0] Loaded widget:  Chili Resource Bars  <gui_chili_resource_bars.lua>
    [      0] Loaded widget:  Autoquit            <autoquit.lua>
    [      0] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [      0] Loaded widget:  Crude Menu          <gui_crudemenu.lua>
    [      0] Loaded widget:  DCIcon              <dbg_dcicon.lua>
    [      0] Loaded widget:  Darkening           <gui_darkening.lua>
    [      0] Loaded widget:  Land Fly v1.2.2     <unit_land_fly.lua>
    [      0] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [      0] Loaded widget:  Loop Select         <unit_loop_select.lua>
    [      0] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [      0] Loaded widget:  Mod Options Reminder  <gui_modoption_reminder.lua>
    [      0] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [      0] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [      0] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [      0] Loaded widget:  Stereo3D            <gfx_stereo3d.lua>
    [      0] Loaded widget:  Take Reminder       <gui_take_remind.lua>
    [      0] Loaded widget:  Chili Chat Bubbles  <gui_chili_chatbubbles.lua>
    [      0] Loaded widget:  Retreat             <cmd_retreat.lua>
    [      0] Loaded widget:  Map Draw Blocker    <map_draw_blocker.lua>
    [      0] Loaded widget:  Chili Selections    <gui_chiliselections.lua>
    [      0] Loaded widget:  SelectionButtons    <gui_selbuttons.lua>
    [      0] Loaded widget:  Auto group          <unit_auto_group.lua>
    [      0] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [      0] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [      0] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [      0] Loaded widget:  Defense Range       <gui_defenserange.lua>
    [      0] Loaded widget:  Easy Facing         <gui_easyFacing.lua>
    [      0] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [      0] Loaded widget:  Unit Marker         <unit_marker.lua>
    [      0] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [      0] Loaded widget:  Unit Mover          <cmd_unit_mover.lua>
    [      0] Loaded widget:  Stockpiler (dynamic)  <unit_stockpile_dynamic.lua>
    [      0] Loaded widget:  Start Point Remover  <init_start_point_remover.lua>
    [      0] Loaded widget:  Builder Manager     <unit_buildercontrol.lua>
    [      0] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [      0] Loaded widget:  Prospector          <gui_prospector.lua>
    [      0] Loaded widget:  Satellites          <unit_satellites.lua>
    [      0] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [      0] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [      0] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [      0] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [      0] Loaded widget:  CommandInsert       <gui_commandinsert.lua>
    [      0] Loaded widget:  Rank Icons          <gui_xp.lua>
    [      0] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [      0] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [      0] Loaded widget:  Select n Center!    <gui_center_n_select.lua>
    [      0] Loaded widget:  CALayout            <ca_layout.lua>
    [      0] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [      0] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [      0] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [      0] Loaded widget:  Test Version Warning  <gui_test_warning.lua>
    [      0] BuildBar Warning: you deactivated the "blurApi" widget, please reactivate it.
    [      0] Loaded widget:  BuildBar            <gui_buildbar.lua>
    [      0] Loaded widget:  CustomFormations2   <unit_customformations2.lua>
    [      0] Loaded widget:  Jumjet GUI          <gui_jumpjets.lua>
    [      0] Loaded widget:  Chili Gesture Menu  <gui_chili_gesture_menu.lua>
    [      0] LuaUI v0.3
    [      0] Finalizing...
    [      0] <Easy Facing> Spectator mode. Widget removed.
    [      0] <Ghost Site> Spectator mode. Widget removed.
    [      0] Connection attempt from Yogzototh
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 7)
    [      0] Connection attempt from [0K]Licho
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 3)
    [      0] Connection attempt from Felipepbrito
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 5)
    [      0] Connection attempt from [0K]SirMaverick
    [      0]  -> Version: 0.81.2.1
    [      0]  -> connection established (given id 1)
    [      0] Connection attempt from StarFly
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 11)
    [      0] Connection attempt from FinDude[CA]
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 2)
    [      0] Connection attempt from Aronath
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 8)
    [      0] Connection attempt from [0K]luckywaldo7
    [      0]  -> Version: 0.81.2.1
    [      0]  -> connection established (given id 4)
    [      0] Connection attempt from Zero_Heat
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 6)
    [      0] Connection attempt from [GJL]Maneater
    [      0]  -> Version: 0.81.2.0 (0.81.2-0-g76e4cf5{@}-cmake-mingw32)
    [      0]  -> connection established (given id 9)
    [      0] Connection attempt from [GJL]azaremoth
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 10)
    [      0] > [[0K]luckywaldo7]you get better texture rendering on most units if you set "texturelodbias = -1" in springrc
    [      0] <SelectionSend> Spectator mode. Widget removed.
    [      0] [GJL]Maneater added point: Start 3
    [      0] [GJL]Maneater added point: Start 3
    [      0] [GJL]Maneater added point: Start 3
    [      0] [GJL]Maneater added point: Start 3
    [      0] Aronath added point: Start 2
    [      0] [GJL]azaremoth added point: Start 4
    [      0] StarFly added point: Start 5
    [      0] [GJL]azaremoth added point: Start 4
    [      0] [GJL]azaremoth added point: Start 4
    [      0] Felipepbrito added point: Start 0
    [      0] Zero_Heat added point: Start 1
    [      0] [GJL]azaremoth added point: Start 4
    [      0] Felipepbrito added point: Start 0
    [      0] [GJL]azaremoth added point: Start 4
    [      0] Zero_Heat added point: Start 1
    [      0] StarFly added point: Start 5
    [      0] Aronath added point: Start 2
    [      0] GameID: ff10ec4b9601c083f980a8fa1cdf4421
    [      0] Felipepbrito added point: Start 0
    [      0] Zero_Heat added point: Start 1
    [      0] Aronath added point: Start 2
    [      0] [GJL]Maneater added point: Start 3
    [      0] [GJL]azaremoth added point: Start 4
    [      0] StarFly added point: Start 5
    [      0] STATS:plist,Felipepbrito,Zero_Heat,Aronath,[GJL]Maneater,[GJL]azaremoth,StarFly
    [     30] <Blast Radius> Spectator mode. Widget removed.
    [     30] <Unit Marker> Spectator mode. Widget removed.
    [     30] <DefenseRange> Spectator mode. Widget removed.
    [     48] Wind Range: 0 - 2.5. Max Windmill altitude bonus is: 88%
    [    849] [FinDude[CA]] !ring feli
    [    849] > ringing Felipepbrito, 
    [   2317] Player StarFly left the game:  timeout
    [   2961] > StarFly has left lobby
    [   2973] Team5 (StarFly) lost alignment
    [   3480] [[0K]SirMaverick] !ring Felipepbrito
    [   3481] > ringing Felipepbrito, 
    [   3551] [FinDude[CA]] well now it's 2v2
    [   3700] [FinDude[CA]] !votekick feli
    [   3700] > Do you want to kick Felipepbrito? !vote 1 = yes, !vote 2 = no
    [   3918] [FinDude[CA]] !vote 2
    [   3919] > You must vote valid option/not be a spectator
    [   4210] [[0K]SirMaverick] welcome to the game
    [   4457] [FinDude[CA]] GOOD MORNING SUNSHINE
    [   5102] Commander: build-position <232.00, 429.51, 2008.00> blocked after 8 attempts
    [   5239] [FinDude[CA]] everyones excessing metal
    [   5325] [FinDude[CA]] thats waste man
    [   5379] [FinDude[CA]] bad
    [   5587] [[0K]luckywaldo7] dont reclaim ally mex
    [   5710] [[0K]luckywaldo7] mex income is shared
    [   5893] [[0K]luckywaldo7] so doesnt matter who builds it
    [   5958] [FinDude[CA]] you need more buildpower if your metal bar is full
    [   6429] [FinDude[CA]] you cant reclaim ally stuff
    [   6596] [FinDude[CA]] you can capture it tho :>
    [   7001] [0K]luckywaldo7 added point: how do you get to silver star and still be this newbie
    [   7189] <Felipepbrito> is my area
    [   7311] [0K]luckywaldo7 added point: thats >100 hours ingame
    [   7532] [[0K]luckywaldo7] doesnt matter whose area
    [   7661] [[0K]luckywaldo7] its all shared
    [   7726] [[0K]luckywaldo7] anyway
    [   8024] > [FinDude[CA]]!stats
    [   8412] [FinDude[CA]] 32 GAMES?
    [   8443] [FinDude[CA]] WTF
    [   8905] [[0K]luckywaldo7] Spectators: srsly the supernubs start to wear me down
    [   9402] [[0K]luckywaldo7] Spectators: i mean cmon, by star you should have some idea what you are doing
    [   9416] > [Yogzototh]it only counts games on springie
    [   9424] [[0K]Licho] Spectators: he is not supernub
    [   9516] [[0K]Licho] Spectators: he is silver star
    [   9604] [[0K]Licho] Spectators: and 32 CA games
    [   9605] [FinDude[CA]] Spectators: What is it in CA that completely shuts down common sense
    [   9958] [[0K]luckywaldo7] Spectators: by supernub i mean a star who super sucks
    [  10254] [FinDude[CA]] Spectators: permanub
    [  10290] [[0K]Licho] Spectators: supersuck is different from supernub
    [  10888] [[0K]luckywaldo7] Spectators: i dont mean supernewbie
    [  10982] [[0K]luckywaldo7] Spectators: supernub
    [  11378] [FinDude[CA]] Spectators:  noob =/= newbie
    [  12193] [FinDude[CA]] zero
    [  12334] [FinDude[CA]] youre excessing metal
    [  12445] [FinDude[CA]] use more buildpower
    [  12815] [[0K]SirMaverick] build units
    [  13532] [[0K]Licho] wtf, i cant hide crude menu
    [  13650] [FinDude[CA]] link that wind aronath
    [  13670] [[0K]Licho] escape brings quit menu
    [  13729] [[0K]Licho] sabotage
    [  14086] [[0K]luckywaldo7] Spectators: aronath must be a smurf
    [  14117] [[0K]SirMaverick] Allies: haha
    [  14147] [Yogzototh] oh i remember having that bug licho
    [  14661] [Yogzototh] and when you press F11 it bringas the default qwidget list, right, licho'?
    [  15250] [[0K]SirMaverick] Allies: did you disable crudemenu?
    [  15455] [[0K]SirMaverick] Allies: was there an error?
    [  15703] [FinDude[CA]] zero
    [  16130] [FinDude[CA]] you have builders that are not building
    [  16193] [FinDude[CA]] bad
    [  17498] [FinDude[CA]] reclaim that metal
    [  18004] [FinDude[CA]] thats 6k worth of corpses
    [  18211] [FinDude[CA]] 7
    [  19855] [FinDude[CA]] east
    [  20082] [FinDude[CA]] you are not using your metal fast enough
    [  20235] [FinDude[CA]] you're both excessing
    [  20347] [FinDude[CA]] and wasting
    [  20381] [FinDude[CA]] metal
    [  21071] [GJL]Maneater added point: 
    [  21158] [[0K]luckywaldo7] Spectators: who the hell is aronath
    [  21466] [[0K]luckywaldo7] Spectators: who is french and plays ca?
    [  21474] [FinDude[CA]] fast learner
    [  21993] [[0K]luckywaldo7] Spectators: he is not just a fast learner
    [  22024] > [FinDude[CA]]!stats
    [  22133] [[0K]luckywaldo7] Spectators: he has to be a smurf
    [  22272] [[0K]luckywaldo7] Spectators: maybe triton
    [  22386] > [FinDude[CA]]!smurf
    [  22554] > [FinDude[CA]]!smurfs
    [  23086] [FinDude[CA]] make morty instead of dominator
    [  23612] [FinDude[CA]] AND EAST STOP EXCESSING METAL
    [  23864] [FinDude[CA]] zero you have a kbot fac doing NOTHING
    [  28378] Segmentation fault (SIGSEGV) in spring 0.81.2.1
    Stacktrace:
    /home/mav/.spring/spring [0x854149f]
    [0xb775b400] # NOTE: no path -> not translating
    /home/mav/.spring/spring [0x8477826]
    /home/mav/.spring/spring [0x8473901]
    /home/mav/.spring/spring [0x80ca6ea]
    /home/mav/.spring/spring [0x80e1568]
    /home/mav/.spring/spring [0x80e56b9]
    /home/mav/.spring/spring [0x84ee57a]
    /home/mav/.spring/spring [0x84f4445]
    /home/mav/.spring/spring [0x8529b23]
    /home/mav/.spring/spring [0x8529fab]
    /lib/i686/cmov/libc.so.6(__libc_start_main+0xe5) [0xb6db4b55]
    /home/mav/.spring/spring [0x8088ab1]
    Translated Stacktrace:
    /home/spring/spring/spring/spring-git/rts/System/Platform/CrashHandler.cpp:280
    /usr/include/c++/4.4/bits/stl_list.h:151
    /home/spring/spring/spring/spring-git/rts/Sim/Units/COB/UnitScriptEngine.cpp:81
    /home/spring/spring/spring/spring-git/rts/Game/Game.cpp:3515
    /home/spring/spring/spring/spring-git/rts/System/Sync/SyncChecker.h:40
    /home/spring/spring/spring/spring-git/rts/Game/Game.cpp:2790
    /home/spring/spring/spring/spring-git/rts/System/SpringApp.cpp:862
    /home/spring/spring/spring/spring-git/rts/System/SpringApp.cpp:990
    /home/spring/spring/spring/spring-git/rts/System/Main.cpp:64
    /home/spring/spring/spring/spring-git/rts/System/Main.cpp:128
    ??:0
    ??:0
    
    txt file icon infolog.txt (21,336 bytes) 2010-05-13 17:08 +
  • ? file icon 20100513_164730_unnamed_0.81.2.sdf (700,777 bytes) 2010-05-13 17:13

-Relationships
duplicate of 0001822closed Spring Crash 
duplicate of 0002336resolvedzerver Game Crash in UnitScript.cpp:223 
related to 0001877resolvedabma Crash in UnitScripts 
related to 0001919resolvedKloot replay from desynced game shows different games 
has duplicate 0002131closed 1v1 no AI conflict terra crash 
related to 0002052closed Conflict Terra crash 
related to 0002258resolvedKloot Lua rules crashing spring.exe (UnitPreDamaged) in lauxlib.cpp:636 
+Relationships

-Notes

~0004862

hoijui (reporter)

Last edited: 2010-04-30 07:48

if you still have it, i guess the infolog.txt would be nice to have too.

And maybe some background data like:
does it happen often, only once, was anything special going on?

~0004867

SirMaverick (reporter)

I don't have the infolog anymore.

First time I saw this crash.

Only special thing is heavy use of bladewings (flying kamikaze mines).

~0004873

tvo (reporter)

Did everyone crash with this stacktrace, or only one player?

~0004877

tvo (reporter)

[17:11:33] <[0K]SirMaverick> afaik some
[17:11:40] <[0K]SirMaverick> not all, but most
[17:12:39] <[RoX]Tobi> all same stack trace?
[17:12:49] <[0K]SirMaverick> dunno about others
[17:13:16] <[0K]SirMaverick> that stacktrace is from repalying demo
[17:14:50] <[RoX]Tobi> ah nice

~0004882

tvo (reporter)

unable to reproducable it (using replay)

~0004883

SirMaverick (reporter)

Last edited: 2010-05-02 18:19

After it crashed in game I run once with release version, then with debug version to get stack trace. I crashed both times.

Ran it now, several times with release and debug version. Crashed only once, different stacktrace. Might be memory corruption?

Stacktrace:
./spring [0x854109f]
[0xb77ef400] # NOTE: no path -> not translating
./spring [0x8477756]
./spring [0x8473831]
./spring [0x80c878a]
./spring [0x80e1348]
./spring [0x80e5499]
./spring [0x84ee4aa]
./spring [0x84f4375]
./spring [0x8529933]
./spring [0x8529dbb]
/lib/i686/cmov/libc.so.6(__libc_start_main+0xe5) [0xb6e6ab55]
./spring [0x8088ac1]
Translated Stacktrace:
/spring/spring-git/rts/System/Platform/CrashHandler.cpp:280
/usr/include/c++/4.4/bits/stl_list.h:151
/spring/spring-git/rts/Sim/Units/COB/UnitScriptEngine.cpp:81
/spring/spring-git/rts/Game/Game.cpp:3515
/spring/spring-git/rts/System/Sync/SyncChecker.h:40
/spring/spring-git/rts/Game/Game.cpp:2790
/spring/spring-git/rts/System/SpringApp.cpp:862
/spring/spring-git/rts/System/SpringApp.cpp:990
/spring/spring-git/rts/System/Main.cpp:64
/spring/spring-git/rts/System/Main.cpp:128
??:0
??:0

~0004913

SirMaverick (reporter)

Crashed again. This time I was only one.

~0005082

hoijui (reporter)

give infolog (and if makes sense, other files) again please (can not hurt)

~0005084

SirMaverick (reporter)

2010-05-13 17:06 SirMaverick Note Added: 0004913
2010-05-13 17:08 SirMaverick File Added: infolog.txt
2010-05-13 17:13 SirMaverick File Added: 20100513_164730_unnamed_0.81.2.sdf

~0005738

zerver (reporter)

please try with current spring version, if bug still exists, please reopen this report

~0006607

zerver (reporter)

this is resolved for sure, see 0002336
+Notes

-Issue History
Date Modified Username Field Change
2010-04-30 00:55 SirMaverick New Issue
2010-04-30 00:55 SirMaverick File Added: 20100429_233327_unnamed_0.81.2.sdf
2010-04-30 07:47 hoijui Note Added: 0004862
2010-04-30 07:48 hoijui Note Edited: 0004862
2010-04-30 11:50 jK Relationship added has duplicate 0001877
2010-04-30 11:51 jK Relationship deleted has duplicate 0001877
2010-04-30 11:51 jK Relationship added related to 0001877
2010-04-30 18:52 SirMaverick Note Added: 0004867
2010-05-01 14:34 tvo Note Added: 0004873
2010-05-01 17:14 tvo Note Added: 0004877
2010-05-02 13:33 tvo Note Added: 0004882
2010-05-02 18:18 SirMaverick Note Added: 0004883
2010-05-02 18:19 SirMaverick Note Edited: 0004883
2010-05-13 17:06 SirMaverick Note Added: 0004913
2010-05-13 17:08 SirMaverick File Added: infolog.txt
2010-05-13 17:13 SirMaverick File Added: 20100513_164730_unnamed_0.81.2.sdf
2010-07-12 16:41 Kloot Relationship added related to 0001919
2010-07-12 21:18 hoijui Note Added: 0005082
2010-07-12 22:54 SirMaverick Note Added: 0005084
2010-08-12 13:36 zerver Relationship added duplicate of 0001822
2010-08-22 14:17 Kloot Relationship added related to 0002052
2010-09-18 20:16 hoijui Relationship added has duplicate 0002131
2010-10-14 20:09 zerver Note Added: 0005738
2010-10-14 20:09 zerver Status new => closed
2010-10-14 20:09 zerver Resolution open => unable to reproduce
2011-05-04 10:04 abma Relationship added related to 0002258
2011-05-04 18:41 zerver Assigned To => zerver
2011-05-04 18:41 zerver Status closed => assigned
2011-05-04 18:41 zerver Resolution unable to reproduce => reopened
2011-05-04 18:41 zerver Relationship added duplicate of 0002336
2011-05-04 18:42 zerver Note Added: 0006607
2011-05-04 18:42 zerver Status assigned => resolved
2011-05-04 18:42 zerver Fixed in Version => 0.82.7+git
2011-05-04 18:42 zerver Resolution reopened => fixed
+Issue History